// PumpSeq.h: interface for the CPumpSeq class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PUMPSEQ_H__5A8F77A1_8F07_424B_BC7D_E10AC698E09D__INCLUDED_)
#define AFX_PUMPSEQ_H__5A8F77A1_8F07_424B_BC7D_E10AC698E09D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\MOTHER\DicsPumpSeq.h"

class CPumpSeq : public CDicsPumpSeq  
{
public:
	CPumpSeq();
	virtual ~CPumpSeq();

	void InitParameter();
	BOOL Initialize();

	enum _DI_MODE_CHECK_POS { EUV_OUT, RB_IN };	// 250108 halesu

protected:
	int m_nSeqGearSupplyNo;
	int m_nSeqMistShowerNo;
	float m_fDebugTankLevel;
	
//	void SeqGearSupply();
	void SeqAirKnife();
	BOOL Sequence();
	void SeqDiPump( int i );
	void SeqSbj(int i);
	void SeqInit();
	void SeqLevelSensor( int nTankNo, int nSensorNo );
	void SeqGlassExist();
	void SeqDiwIdleRunning();
	void SeqDiTank(int i);
	void SeqMistShower();
};

#endif // !defined(AFX_PUMPSEQ_H__5A8F77A1_8F07_424B_BC7D_E10AC698E09D__INCLUDED_)
